[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: needs_root-field for menu-package needed (su-to-root is not sufficient)



If you expect menu developers to comments you should CC menu@qa.packages.debian.org else you are likely to be ignored since I don't post to debian-devel.

On Fri, Apr 09, 2004 at 11:30:11PM +0200, Fabian Franz wrote:
> Hi,
> 
> while working on some packages I noticed that it would be nice to have a 
> "needs_root"-field in menu-files, like with needs="Text" ..
> 
> At the moment packages must use su-to-root, which does not always work with 
> X11-Programs ... 

This is fixed in menu 2.1.11. You have to call su-to-root -X. It will
invoke gksu or kdesu if they are found else will default to old mode.

Only one X11 program use su-to-root (powertweak). Another call gksu
directly (synaptic). I will ask them to use su-to-root -X when menu 
2.1.11 reach sarge.

> (
> I don't think the "fix" to use su -p is always sufficient; 
> think of a NFS-volume. 
> Better is to merge the Xauth-Info ...
> )

Using -p break the PATH setting: it will lack /sbin and /usr/sbin,
so some programs will break.

> The alternative is to use kdesu or gksu and prefix the command.
> 
> What I would like to discuss is to have:
> 
> command="foo"
> needs_root=1
> 
> What do you think?

We cannot change the interface between menu and menu-method at this
stage since this involve changing all the menu-methods.

Thanks to give me the opportunuity to announce the new su-to-root -X
feature!

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 

Attachment: pgpKiTbdN7t8e.pgp
Description: PGP signature


Reply to: